package com.ff.base.enums;

import lombok.Getter;

/**
 * 通道类型
 *
 * @author shi
 * @date 2025/01/11
 */
@Getter
public enum ChannelType {
    CHANNEL_LINK(1, "渠道链接"),
    PWA_SHORTCUT_APP(2, "PWA快捷APP"),
    WG_GAME_TRIAL_LINK(3, "WG游戏试玩链接"),
    INDEPENDENT_CHANNEL_PACKAGE(4, "独立渠道包"),
    NATIVE_MAJIA_PACKAGE(5, "原生马甲包"),
    DOWNLOAD_SITE_SOURCE(6, "下载站源码");

    private final Integer value;
    private final String description;

    ChannelType(Integer value, String description) {
        this.value = value;
        this.description = description;
    }
}